# vue-passport

## 安装

```
npm install @ezijing/vue-passport --save
```

或

```
yarn add @ezijing/vue-passport --save
```

## 使用

### 全局使用

```
import VueForm from 'vue-passport'

Vue.use(VueForm)
```

### 组件中使用

```javascript
<template>
  <vue-passport :options="options" @ready="onReady" />
</template>
<script>
import VueForm from 'vue-passport'

export default {
  components: { VueForm },
  data() {
    return {
      formModel: {
        name: ''
      },
      formItems: [
        {
          type: 'input',
          model: 'name',
          placeholder: '请输入昵称'
        }
      ]
    }
  }
}
</script>
```

## 属性

```javascript
visible: true,

showType: 1, // 0 注册，1登录，2找回密码

options: {
  // 注册
  register: {
    url: '',
    headers: {},
    data: {},
    onSuccess: function() {},
    onError: function() {}
  },
  // 登录
  login: {
    account: {
      url: '',
      headers: {},
      data: {},
      onSuccess: function() {},
      onError: function() {}
    },
    phone: {
      url: '',
      headers: {},
      data: {},
      onSuccess: function() {},
      onError: function() {}
    }
  },
  // 找回密码
  password: {
    url: '',
    headers: {},
    data: {},
    onSuccess: function() {},
    onError: function() {}
  }
}
```

## 方法

| 事件名             | 说明             | 返回值                     |
| ------------------ | ---------------- | -------------------------- |
| `register`         | 显示注册界面     |                            |
| `login`            | 显示登录界面     |                            |
| `password`         | 显示找回密码界面 |                            |
| `logout`           | 退出登录         |                            |
| `checkLoginStatus` | 检测登录状态     | function(isLogin, user) {} |

## 事件

| 事件名  | 返回值                     | 说明              |
| ------- | -------------------------- | ----------------- |
| `ready` | function(isLogin, user) {} | 组件初始化        |
| `close` | -                          | Dialog 关闭的回调 |
