import axios from 'axios'

const instance = axios.create({
  timeout: 60000,
  withCredentials: true,
  headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
})

instance.interceptors.request.use(
  function(config) {
    config.baseURL = window.passportBaseURL
    if (config.headers['Content-Type'] === 'application/x-www-form-urlencoded') {
      const formData = config.data
      const params = new URLSearchParams()
      for (const key in formData) {
        const value = formData[key]
        params.append(key, typeof value === 'object' ? JSON.stringify(value) : value)
      }
      config.data = params
    }
    return config
  },
  function(error) {
    // Do something with request error
    return Promise.reject(error)
  }
)

export default instance
